Subject: Re: 23.0.60; `process-status' does not work with buffer names

From: Stefan Monnier <[email-masked]>
Date: Wed, 29 Oct 2008 10:45:03 -0400

>> Yes, we can't accept buffer names in process-status because it already
>> treats strings as process names.

> Only for completeness: There are several functions dealing with
> processes (e.g., `process-send-string') that allow strings to mean both
> process and buffer names. Unfortunately it's not very consistent, and
> sometimes incorrectly documented; for example, `comint-send-string':

>    Like `process-send-string', ...

> but in `comint-send-string', you cannot use process names.

We should discourage this use.  I.e. we should start by removing mention
of it in the docstrings (and/or manual).

        Stefan